- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# checkpoint_object_facts – Get object facts on Check Point over Web Services API

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Get object facts on Check Point devices. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
ip_only boolean | Choices: no ← yes | Filter only by IP address.
object_filter - |  | Filter expression for search. It accepts AND/OR logical operators and performs a textual and IP address search. To search only by IP address, set ip_only argument to True. which can be filtered with the filter argument.
object_type string |  | Type of the object to search. Must be a valid API resource name
uid - |  | UID of the object. If UID is not provided, it will do a full search which can be filtered with the filter argument.

## Examples

    - name: Get object facts
      checkpoint_object_facts:
        object_filter: 192.168.30.30
        ip_only: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_hosts list | always. | The checkpoint object facts.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.